Page MenuHomePhabricator

AMDGPU: Fix not adding exec to defs of cmpx instruction pseudos
ClosedPublic

Authored by arsenm on Aug 15 2015, 10:46 PM.

Details

Reviewers
tstellarAMD
Summary

This was only set on the final _si/_vi version, but not on the pseudos most of codegen sees.

No test since these instructions aren't used yet.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 32233.Aug 15 2015, 10:46 PM
arsenm retitled this revision from to AMDGPU: Fix not adding exec to defs of cmpx instruction pseudos.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
tstellarAMD accepted this revision.Aug 25 2015, 8:31 PM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Aug 25 2015, 8:31 PM
arsenm closed this revision.Sep 25 2015, 10:00 AM

r248583